{
    num: -356016, 
    accuracy: 100, 
    basePower: 0,
    category: "Status",
    name: "Black Lock",
    pp: 20, 
    priority: 0,
    flags: { protect: 1, bypasssub: 1 },
    onTryHit(target) {
    },
    onHit(target, source, move) {
      const trappedSuccess = target.addVolatile("trapped", source, move, "trapper");
      if (target.lastMove && !target.lastMove.isZ && !target.lastMove.isMax && 
          target.lastMove.id !== "struggle") {
        
        target.addVolatile("disable");
      }
      return trappedSuccess;
    },
    secondary: null,
    target: "normal",
    type: "Normal",
    zMove: { boost: { spd: 1 } },
    contestType: "Clever"
}